
Katello - Bug #24140

Navigating back to Subscriptions from Add Subscriptions results in blank page.

07/03/2018 10:53 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Subscriptions   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1597079 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/751
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1597079

Description of problem:

When user clicks the "Add Subscriptions button on the Subs page, and then navigates back via the browser, s/he is welcomed with a

blank page.

Version-Release number of selected component (if applicable):

Test in Chrome latest

6.4.0 Snap 10

How reproducible:

Steps to Reproduce:

1. Login and upload a manifest to an org; let it process.

2. Navigate to 'Subscriptions'. Assure this page is populated.

3. Click the 'Add Subscriptions' button.

4. Hit the back button on the browser.

Actual results:

Blank page

Expected results:

User is returned to a populated Subscriptions page.

Additional info:

It's worth checking also the repositories page. I think it's affected too.

Associated revisions

Revision bfd20b92 - 07/11/2018 02:53 PM - Amir Fefer

Fixes #24140, #24142 - mount react root from the layout

History

#1 - 07/03/2018 10:55 AM - Tomáš Strachota

- Description updated

- Target version set to 219

#2 - 07/03/2018 03:36 PM - Greg Sutcliffe

- Triaged set to No

- Team Backlog UX added
#3 - 07/10/2018 02:07 PM - Walden Raines

- Target version changed from 219 to Katello 3.7.0

#4 - 07/11/2018 11:50 AM - Amir Fefer

- Assignee set to Amir Fefer

#5 - 07/11/2018 12:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7518 added

#6 - 07/11/2018 03:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|bfd20b921b4852003c5ec38fb143e04b19eab406.
